# define VME slots

SLOT=6

# define IP slots

A=0
B=1
C=2
D=3

# load the most recent production libraries

diamondTop = "/home/diamond/R3.13.9/prod/support/superTop/2-16"
hy8505Top  = "/home/diamond/R3.13.9/work/support/Hy8505/Rx-y"

# load the libraries and drivers

cd diamondTop
cd "bin/ppc604"

ld < iocCore
ld < baseLib
ld < ipacLib
ld < utilityLib

cd hy8505Top
cd "bin/ppc604"
ld < Hy8505Lib

# load dbd files

cd diamondTop
cd "dbd"

dbLoadDatabase("baseApp.dbd")
dbLoadDatabase("drvIpac.dbd")

cd hy8505Top
cd "dbd"
dbLoadDatabase("Hy8505.dbd")

# DLS function to give the next valid interrupt vector

VECT8002=newInterruptVector()
VECT8505=newInterruptVector()

# 8002

buff = malloc(10)
sprintf(buff, "%d 1 %d", SLOT, VECT8002)

#ipacEXTAddCarrier(CarrierType, "VMEslotnum IPintlevel HSintnum") 
CARD7=ipacEXTAddCarrier(&EXTHy8002, buff)

#Hy8505Configure
#cardnum	EPICS card number (DLS = VME slot * 10 + IP slot)
#carrier	carrier number returned by ipacEXTAddCarrier
#ipslot		ipslot 0-3 | A-D
#debounce	debounce rate 0 = disable, 1 = 100Hz, 2 = 200Hz, 3 = 500Hz, 4 = 1kHz
#pwidth		pulse width 0 = 1 msec, 1 = 10 msec, 2 = 100msec, 3 = 1 sec, ...
#scan		input scan rate 0 = 1kHz, 1 = 10kHz, 2 = 100kHz, 3 = 1MHz
#dir		0 = inputs, 1 = high in / low out, 2 = high out / low in, 3 = outputs
#intr		interrupt vector
#clock src	clock src 0 = internal, 1 = external

IpIp = 0
IpOp = 1
OpIp = 2
OpOp = 3

#                          ip  d  p  s  dir            cl
#Hy8505Configure(71, CARD7, B, 4, 3, 0, OpOp, VECT8505, 0)
 Hy8505Configure(71, CARD7, B, 4, 3, 0, IpIp, VECT8505, 0)

#debmask	select input bits to debounce
#pulsemask	select bits to pulse on output
#intmask	select bits to generate interrupts

#                 card  dmask   pmask   imask
 Hy8505ExtraConfig(71, 0xffff, 0xffff, 0x7fff)
 
# load the database

cd hy8505Top
cd "db"

#dbLoadDatabase("Hy8505-OO.db", 0, "device=hy8505")
#dbLoadDatabase("Hy8505-II-bi.db", 0, "device=hy8505")
dbLoadDatabase("Hy8505-II-mbbi.db", 0, "device=hy8505")

putenv("EPICS_TS_MIN_WEST=0")
TSconfigure(0, 0, 0, 0, 0, 0, 1)
TSinit

iocInit
